### Signal

# Ide Grid::create-page

#### Declaration

    IdePage*
    create_page (
      IdeGrid* self,
      gchar* uri,
      gpointer user_data
    )

#### Description

Creates a new page for `uri` to be added to the grid.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`uri` | `gchar*`
| The URI to open.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdePage`
| A newly created `IdePage`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.